	su=0
	sd=0
	n=1000000
	do i=1,n
		su=su+1./i
	end do
	do i=n,1,-1
		sd=sd+1./i
	end do
	print *,"su=",su
	print *,"sd=",sd
	e=1
11	continue
		if(1+e.eq.1)goto 12
		e=e/2
		goto 11
12	continue
	print *,'e=',e
	end
